Axınlar
GET https://push.yayim.org/api/flows/
curl --request GET \
--url 'https://push.yayim.org/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.yayim.org/api/flows/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Mətn | Axtarış mətni. |
| search_by | İstəyə bağlı Mətn | Hansı sahədə axtarış aparılacaq. İcazəli dəyərlər: name, title, description, url. |
| website_id | İstəyə bağlı Tam ədəd | |
| datetime_field | İstəyə bağlı Mətn | İcazəli dəyərlər: last_sent_datetime, datetime, last_datetime |
| datetime_start | İstəyə bağlı Mətn | Bu tarix və vaxtdan başlayaraq nəticələri süzün. Format: Y-m-d H:i:s. |
| datetime_end | İstəyə bağlı Mətn | Bu tarix və vaxta qədər nəticələri süzün. Format: Y-m-d H:i:s. |
| order_by | İstəyə bağlı Mətn | Nəticələrin hansı sahəyə görə sıralanacağı. İcazəli dəyərlər: flow_id, datetime, last_datetime, last_sent_datetime, name, title, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | İstəyə bağlı Mətn | Sıralama qaydası: artan sıra üçün ASC, azalan sıra üçün DESC. |
| page | İstəyə bağlı Tam ədəd | Nəticələri almaq istədiyiniz səhifə nömrəsi. Standart dəyər 1. |
| results_per_page | İstəyə bağlı Tam ədəd | Bir səhifədə istədiyiniz nəticə sayı. İcazəli dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Standart dəyər: 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": [],
"wait_time": 1,
"wait_time_type": "Example",
"is_enabled": true,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-11-21 21:40:26"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://push.yayim.org/api/flows?page=1",
"last": "https://push.yayim.org/api/flows?page=1",
"next": null,
"prev": null,
"self": "https://push.yayim.org/api/flows?page=1"
}
}
GET https://push.yayim.org/api/flows/{flow_id}
curl --request GET \
--url 'https://push.yayim.org/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.yayim.org/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": [],
"wait_time": 1,
"wait_time_type": "Example",
"is_enabled": true,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-11-21 21:40:26"
}
}
POST https://push.yayim.org/api/flows
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| website_id | Məcburi Tam ədəd | - |
| name | Məcburi Mətn | - |
| title | Məcburi Mətn | - |
| description | Məcburi Mətn | - |
| url | İstəyə bağlı Mətn | - |
| image | İstəyə bağlı Fayl | - |
| wait_time | Məcburi Tam ədəd | - |
| wait_time_type | Məcburi Mətn | İcazəli dəyərlər: minutes, hours, days |
| trigger_type | İstəyə bağlı Mətn | İcazəli dəyərlər: subscription, pageview |
| pageview_trigger_condition | İstəyə bağlı Mətn | İcazəli dəyərlər: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with |
| pageview_trigger_value | İstəyə bağlı Mətn | - |
| cancel_pageview_is_enabled | İstəyə bağlı Məntiqi dəyər | - |
| cancel_pageview_condition | İstəyə bağlı Mətn | İcazəli dəyərlər: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with |
| cancel_pageview_value | İstəyə bağlı Mətn | - |
| cooldown_type | İstəyə bağlı Mətn | İcazəli dəyərlər: none, once, time |
| cooldown_time | İstəyə bağlı Tam ədəd | - |
| cooldown_time_type | İstəyə bağlı Mətn | İcazəli dəyərlər: minutes, hours, days |
| button_title_1 | İstəyə bağlı Mətn | - |
| button_url_1 | İstəyə bağlı Mətn | - |
| button_title_2 | İstəyə bağlı Mətn | - |
| button_url_2 | İstəyə bağlı Mətn | - |
| is_silent | İstəyə bağlı Məntiqi dəyər | - |
| is_auto_hide | İstəyə bağlı Məntiqi dəyər | - |
| ttl | İstəyə bağlı Mətn | İcazəli dəyərlər: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | İstəyə bağlı Mətn | - |
| utm_medium | İstəyə bağlı Mətn | - |
| utm_campaign | İstəyə bağlı Mətn | - |
| segment | İstəyə bağlı Mətn | İcazəli dəyərlər: all, INT segment_id |
| is_enabled | İstəyə bağlı Məntiqi dəyər | - |
| auto_apply_to_matching | İstəyə bağlı Məntiqi dəyər | - |
| urgency | İstəyə bağlı Tam ədəd | - |
curl --request POST \
--url 'https://push.yayim.org/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://push.yayim.org/api/flows' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": {},
"wait_time": "Example",
"wait_time_type": "Example",
"is_enabled": true,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-11-21 21:40:26"
}
}
POST https://push.yayim.org/api/flows/{flow_id}
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| website_id | İstəyə bağlı Tam ədəd | - |
| name | İstəyə bağlı Mətn | - |
| title | İstəyə bağlı Mətn | - |
| description | İstəyə bağlı Mətn | - |
| url | İstəyə bağlı Mətn | - |
| image | İstəyə bağlı Fayl | - |
| wait_time | İstəyə bağlı Tam ədəd | - |
| wait_time_type | İstəyə bağlı Mətn | İcazəli dəyərlər: minutes, hours, days |
| trigger_type | İstəyə bağlı Mətn | İcazəli dəyərlər: subscription, pageview |
| pageview_trigger_condition | İstəyə bağlı Mətn | İcazəli dəyərlər: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with |
| pageview_trigger_value | İstəyə bağlı Mətn | - |
| cancel_pageview_is_enabled | İstəyə bağlı Məntiqi dəyər | - |
| cancel_pageview_condition | İstəyə bağlı Mətn | İcazəli dəyərlər: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with |
| cancel_pageview_value | İstəyə bağlı Mətn | - |
| cooldown_type | İstəyə bağlı Mətn | İcazəli dəyərlər: none, once, time |
| cooldown_time | İstəyə bağlı Tam ədəd | - |
| cooldown_time_type | İstəyə bağlı Mətn | İcazəli dəyərlər: minutes, hours, days |
| button_title_1 | İstəyə bağlı Mətn | - |
| button_url_1 | İstəyə bağlı Mətn | - |
| button_title_2 | İstəyə bağlı Mətn | - |
| button_url_2 | İstəyə bağlı Mətn | - |
| is_silent | İstəyə bağlı Məntiqi dəyər | - |
| is_auto_hide | İstəyə bağlı Məntiqi dəyər | - |
| ttl | İstəyə bağlı Mətn | İcazəli dəyərlər: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | İstəyə bağlı Mətn | - |
| utm_medium | İstəyə bağlı Mətn | - |
| utm_campaign | İstəyə bağlı Mətn | - |
| segment | İstəyə bağlı Mətn | İcazəli dəyərlər: all, INT segment_id |
| is_enabled | İstəyə bağlı Məntiqi dəyər | - |
| auto_apply_to_matching | İstəyə bağlı Mətn | - |
| urgency | İstəyə bağlı Tam ədəd | - |
curl --request POST \
--url 'https://push.yayim.org/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://push.yayim.org/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Example",
"description": "Example",
"url": "https://example.com/",
"image_url": "https://example.com/",
"segment": "Example",
"settings": {},
"wait_time": "Example",
"wait_time_type": "Example",
"is_enabled": true,
"total_sent_push_notifications": 1,
"total_displayed_push_notifications": 1,
"total_clicked_push_notifications": 1,
"total_closed_push_notifications": 1,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-11-21 21:40:26"
}
}
DELETE https://push.yayim.org/api/flows/{flow_id}
curl --request DELETE \
--url 'https://push.yayim.org/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.yayim.org/api/flows/{flow_id}' \
--header 'Authorization: Bearer {api_key}' \